/***************************************************************************
 *   Copyright (C) 2006 by George Kiagiadakis   *
 *   gkiagia@panafonet.gr   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef qtwine_version
#define qtwine_version "0.3"

#include <QString>
#include <QMessageBox>
#include <iostream>

class QtWineInformation
{
public:
	static void about()
	{
		QString msg;
		msg += "QtWine version "; msg += qtwine_version; msg += "\n";
		msg += "Copyright (C) 2006 by George Kiagiadakis\n";
		msg += "gkiagia@users.sourceforge.net\n";
		msg += "Project webpage: http://qtwine.sourceforge.net\n\n";

		msg += "QtWine is a tool for creating and managing wine configurations.\n";
		msg += "A wine configuration is a directory containing a virtual c: drive, a wine\n";
		msg += "registry and a dosdevices directory (which is used by wine to map windows\n";
		msg += "drives and devices to unix ones). In other words, a wine configuration is\n";
		msg += "simply what you would normally find in your $HOME/.wine directory.\n\n";

		msg += "This program is free software; you can redistribute it and/or modify\n";
		msg += "it under the terms of the GNU General Public License as published by\n";
		msg += "the Free Software Foundation; either version 2 of the License, or\n";
		msg += "(at your option) any later version.\n\n";

		msg += "This program is distributed in the hope that it will be useful,\n";
		msg += "but WITHOUT ANY WARRANTY; without even the implied warranty of\n";
		msg += "MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n";
		msg += "GNU General Public License for more details.";
		QMessageBox::information(0, "About QtWine", msg);
	};

	static void console_help() // output is made to fit a terminal with 80 charaters width.
	{
		using namespace std;
		cout << "QtWine version " << qtwine_version << endl;
		cout << "Copyright (C) 2006 by George Kiagiadakis\n";
		cout << "gkiagia@users.sourceforge.net\n\n";

		cout << "This program is free software; you can redistribute it and/or modify\n";
		cout << "it under the terms of the GNU General Public License as published by\n";
		cout << "the Free Software Foundation; either version 2 of the License, or\n";
		cout << "(at your option) any later version.\n\n";

		cout << "Usage: qtwine [Qt-options] [options] [filename/toolname] [other arguments]\n\n";

		cout << "Options:\n";
		cout << "  --help, -h\t\t\tDisplays this help message\n\n";

		cout << "  --launch, -l [configuration]\tLaunches the windows application [filename]\n";
		cout <<                         "\t\t\t\tusing configuration [configuration]\n";
		cout << 			"\t\t\t\tand passes all the [other arguments] to\n";
		cout <<				"\t\t\t\tthe calling windows application, converting\n";
		cout << 			"\t\t\t\tany unix filenames to windows ones.\n\n";

		cout << "  --workdir, -w [directory]\t Set [directory] as the working directory\n\n";

		cout << "  --log [logfile]\tLogs wine's output on stdout/stderr to [logfile]\n\n";

		cout << "  --silent, -s\t\tDo not print wine's stdout/stderr to qtwine's\n";
		cout << 	    "\t\t\tstdout/stderr. The log file will not be affected\n";
		cout << 	    "\t\t\tby this option. If you only want to log, you can\n";
		cout << 	    "\t\t\tuse --silent and forward stdout/stderr to the log\n";
		cout << 	    "\t\t\tfile using --log [logfile].\n\n";

		cout << "  --ask, -a\t\tWhen wine exits, ask the user to press enter to\n";
		cout << 	 "\t\t\texit qtwine. (made for internal use but can be\n";
		cout << 	 "\t\t\tused in scripts too)\n\n";

		cout <<	"  --options, -o\t\tOpens the options dialog. Warning: When you press OK,\n";
		cout << 		"\t\t\toptions are saved but not checked for consistency. Use\n";
		cout <<			"\t\t\tthis only if you can't open manager because of bad\n";
		cout << 		"\t\t\tsettings.\n\n";

		cout << "Notes:\n";
		cout << "If --launch is used, no window opens and qtwine runs in console mode.\n";
		cout << "Options --silent and --ask make sense only when qtwine runs in console mode.\n";
		cout << "In addition, using --silent and --ask at the same time is completely useless\n\n";

		cout << "If no arguments are passed, QtWine Configuration Manager opens.\n";
		cout << "If only filename is specified, QtWine launcher or reginstaller opens, depending\n";
		cout << "on what type the file is. QtWine recognizes .exe, .exe.so and .reg files.\n\n";

		cout << "Qt options always start with one dash, not two.\n\n";
	};

};
#endif
